org.apache.velocity.tools.config

## Class Property

- java.lang.Object
- - org.apache.velocity.tools.config.Data
  - - org.apache.velocity.tools.config.Property

All Implemented Interfaces:
  Comparable<Data>

    public class Property
    extends Data

Simple extension of `Data` that treats "name" as an alias for "key". See `Data` for a description and feature list.

Version:
  $Id: Property.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.velocity.tools.config.Data

`Data.AutoConverter, Data.FieldConverter, Data.NumberConverter, Data.Type`

### Field Summary

### Fields inherited from class org.apache.velocity.tools.config.Data

`DEFAULT_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`Property()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`void` `setName(String name)`

### Methods inherited from class org.apache.velocity.tools.config.Data

`compareTo, convert, convertWith, equals, getConvertedValue, getConverter, getKey, getTargetClass, getType, getValue, hashCode, setClass, setClassname, setConverter, setConverter, setKey, setTargetClass, setType, setType, setValue, toString, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Property

    public Property()

### Method Detail

#### setName

    public void setName(String name)

#### getName

    public String getName()